Update Note
http
PUT https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes/{noteId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
appointmentId | string | Yes | Appointment ID |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
userId | string | No | GCs5KuzPqTls7vWclkEV | |
body | string | Yes | lorem ipsum | Note body |
Responses
200 - Successful response
note(object)id(string): Example:HGPcayliwcdoUFzvbTokbody(string): Example:lorem ipsumuserId(string): Example:TUcmRxWrjqzJS8EjkxNKdateAdded(string): Example:2021-07-08T12:02:11.285ZcontactId(string): Example:TUcmRxWrjqzJS8EjkxNKcreatedBy(object)id(string): Example:TUcmRxWrname(string): Example:John Doe
json
{
"note": {
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"createdBy": {
"id": "TUcmRxWr",
"name": "John Doe"
}
}
}400 - Bad Request
json
{}Example
curl -X PUT 'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes/YOUR_noteId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"userId": "GCs5KuzPqTls7vWclkEV",
"body": "lorem ipsum"
}'const response = await fetch('https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes/YOUR_noteId', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"userId": "GCs5KuzPqTls7vWclkEV", "body": "lorem ipsum"}),
});
const data = await response.json();import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes/YOUR_noteId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"userId": "GCs5KuzPqTls7vWclkEV", "body": "lorem ipsum"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes/YOUR_noteId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'userId': 'GCs5KuzPqTls7vWclkEV', 'body': 'lorem ipsum'}),
]);
$data = json_decode(curl_exec($ch), true);